<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-configuring.qdoc -->
  <title>Configuring Qt Creator | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Configuring Qt Creator</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-quick-tour.html" />
  <link rel="next" href="creator-build-example-application.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-quick-tour.html">User Interface</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-build-example-application.html">Building and Running an Example</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#checking-build-and-run-settings">Checking Build and Run Settings</a></li>
<li class="level1"><a href="#changing-keyboard-shortcuts">Changing Keyboard Shortcuts</a></li>
<li class="level1"><a href="#changing-color-schemes">Changing Color Schemes</a></li>
<li class="level1"><a href="#adding-your-own-code-snippets">Adding Your Own Code Snippets</a></li>
<li class="level1"><a href="#configuring-version-control-systems">Configuring Version Control Systems</a></li>
<li class="level1"><a href="#enabling-and-disabling-plugins">Enabling and Disabling Plugins</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Configuring Qt Creator</h1>
<span class="subtitle"></span>
<!-- $$$creator-configuring.html-description -->
<div class="descr"> <a name="details"></a>
<p>If you install Qt Creator as part of a Qt installation, you should be able to use it out-of-the-box, with the default settings and configuration options.</p>
<p>However, if you install the stand-alone Qt Creator package, build Qt Creator from sources, or install several Qt versions, you may need to tell Qt Creator where to find the Qt versions and compilers by adding the paths to them and by creating <a href="creator-glossary.html#glossary-buildandrun-kit">kits</a> that use them.</p>
<p>To make Qt Creator behave more like your favorite code editor or IDE, you can change the settings for keyboard shortcuts, color schemes, generic highlighting, code snippets, and version control systems. In addition, you can enable experimental plugins and disable plugins that you do not need.</p>
<p>The following sections summarize the options that you have and point you to detailed information to help you specify any required settings and to make using Qt Creator a better experience for you.</p>
<a name="checking-build-and-run-settings"></a>
<h2 id="checking-build-and-run-settings">Checking Build and Run Settings</h2>
<p>Qt Creator is an integrated development environment (IDE) that you can use to develop Qt applications. While Qt installers typically install Qt Creator, stand-alone Qt Creator installers never install Qt or any Qt tools, such as qmake. To use Qt Creator for Qt development, you also need to have a Qt version and a compiler installed.</p>
<p>Qt installers, such as SDKs, often attempt to auto-detect the installed compilers and Qt versions. If they succeed, the relevant kits will automatically become available in Qt Creator. If they do not, you must add the kits yourself to tell Qt Creator where everything is.</p>
<p>To add kits, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Add</b>.</p>
<p>For more information, see <a href="creator-targets.html">Adding Kits</a>.</p>
<p>Each kit consists of a set of values that define one environment, such as a <a href="creator-glossary.html#glossary-device">device</a>, compiler, and Qt version. If you know you have installed a Qt version, but it is not listed in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Qt Versions</b>, you must add it.</p>
<p>For more information, see <a href="creator-project-qmake.html">Adding Qt Versions</a>.</p>
<p>Also check that your compiler is listed in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Compilers</b>.</p>
<p>For more information, see <a href="creator-tool-chains.html">Adding Compilers</a>.</p>
<p>You can connect devices to the development PC to run, debug, and analyze applications on them from Qt Creator. You can connect the device to the development PC via USB. Additionally, you can connect Linux-based devices over a WLAN. You must also configure a connection between Qt Creator and the development PC and specify the device in a kit.</p>
<p>To add devices, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Devices</b> &gt; <b>Devices</b> &gt; <b>Add</b>.</p>
<p>For more information, see <a href="creator-connecting-mobile.html">Connecting Devices</a>.</p>
<a name="changing-keyboard-shortcuts"></a>
<h2 id="changing-keyboard-shortcuts">Changing Keyboard Shortcuts</h2>
<p>You can use Qt Creator with your favorite keyboard shortcuts.</p>
<p>To view and edit all keyboard shortcuts defined in Qt Creator, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Environment</b> &gt; <b>Keyboard</b>. For more information, see <a href="creator-keyboard-shortcuts.html">Keyboard Shortcuts</a>.</p>
<a name="changing-color-schemes"></a>
<h2 id="changing-color-schemes">Changing Color Schemes</h2>
<p>Themes enable you to customize the appearance of the Qt Creator UI: widgets, colors, and icons.</p>
<p>To switch themes, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Environment</b>, and then select a theme in the <b>Theme</b> field.</p>
<p>You can use the Qt Creator text and code editors with your favorite color scheme that defines how code elements are highlighted and which background color is used. You can select one of the predefined color schemes or create custom ones. The color schemes apply to highlighting C++ files, QML files, and generic files.</p>
<p>To change the color scheme, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b> &gt; <b>Fonts &amp; Color</b>.</p>
<p>For more information, see <a href="creator-editor-options-text.html#defining-color-schemes">Defining Color Schemes</a>.</p>
<p>Generic highlighting is provided by <a href="https://api.kde.org/frameworks/syntax-highlighting/html/index.html">KSyntaxHighlighting</a>, which is the syntax highlighting engine for Kate syntax definitions. Qt Creator comes with most of the commonly used syntax files, and you can download additional files.</p>
<p>To download and use highlight definition files, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b> &gt; <b>Generic Highlighter</b>.</p>
<p>For more information, see <a href="creator-highlighting.html#generic-highlighting">Generic Highlighting</a>.</p>
<a name="adding-your-own-code-snippets"></a>
<h2 id="adding-your-own-code-snippets">Adding Your Own Code Snippets</h2>
<p>As you write code, Qt Creator suggests properties, IDs, and code snippets to complete the code. It provides a list of context-sensitive suggestions to the statement currently under your cursor. You can add, modify, and remove snippets in the snippet editor.</p>
<p>To open the snippet editor, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b> &gt; <b>Snippets</b>.</p>
<p>For more information, see <a href="creator-completing-code.html#editing-code-snippets">Editing Code Snippets</a>.</p>
<a name="configuring-version-control-systems"></a>
<h2 id="configuring-version-control-systems">Configuring Version Control Systems</h2>
<p>Qt Creator supports several version control systems. In most cases, you do not need to configure the version control in any special way to make it work with Qt Creator. Once it is set up correctly on the development PC, it should just work.</p>
<p>However, some configuration options are available and you can set them in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>Common</b>.</p>
<p>For more information about the supported functions, see <a href="creator-version-control.html">Using Version Control Systems</a>.</p>
<a name="enabling-and-disabling-plugins"></a>
<h2 id="enabling-and-disabling-plugins">Enabling and Disabling Plugins</h2>
<p>New Qt Creator plugins are often introduced as <i>experimental plugins</i> to let you try them out before they are fully supported. Experimental plugins are disabled by default and you must enable them for them to become visible after you restart Qt Creator. By default, all the plugins that the plugin depends on are also enabled.</p>
<p>You can also disable plugins that you do not use, to streamline Qt Creator. By default, all the plugins that depend on the plugin are also disabled.</p>
<p>To enable and disable plugins, select <b>Help</b> &gt; <b>About Plugins</b>.</p>
</div>
<!-- @@@creator-configuring.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-quick-tour.html">User Interface</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-build-example-application.html">Building and Running an Example</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
